Index: inputs/ARIZ/Specimen/test.xml.ref
===================================================================
--- inputs/ARIZ/Specimen/test.xml.ref	(revision 5241)
+++ inputs/ARIZ/Specimen/test.xml.ref	(revision 5242)
@@ -117,12 +117,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_alt>
                                                     <1>$ScientificNameAuthor</1>
@@ -146,7 +146,7 @@
                                     <class>$Class</class>
                                     <creator_id>
                                         <_simplifyPath>
-                                            <next>datasource_id</next>
+                                            <next>creator_id</next>
                                             <path>
                                                 <party>
                                                     <givenname><_namePart><first>$IdentifiedBy</first></_namePart></givenname>
Index: inputs/SpeciesLink/Specimen/test.xml.ref
===================================================================
--- inputs/SpeciesLink/Specimen/test.xml.ref	(revision 5241)
+++ inputs/SpeciesLink/Specimen/test.xml.ref	(revision 5242)
@@ -256,12 +256,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>
@@ -334,7 +334,7 @@
                                     </class>
                                     <creator_id>
                                         <_simplifyPath>
-                                            <next>datasource_id</next>
+                                            <next>creator_id</next>
                                             <path>
                                                 <party>
                                                     <givenname>
Index: inputs/QMOR/Specimen/test.xml.ref
===================================================================
--- inputs/QMOR/Specimen/test.xml.ref	(revision 5241)
+++ inputs/QMOR/Specimen/test.xml.ref	(revision 5242)
@@ -101,12 +101,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>
@@ -141,7 +141,7 @@
                                     <class>$class</class>
                                     <creator_id>
                                         <_simplifyPath>
-                                            <next>datasource_id</next>
+                                            <next>creator_id</next>
                                             <path>
                                                 <party>
                                                     <givenname><_namePart><first>$identifiedBy</first></_namePart></givenname>
Index: bin/map
===================================================================
--- bin/map	(revision 5241)
+++ bin/map	(revision 5242)
@@ -177,8 +177,8 @@
     def update_in_label():
         if in_label_ref[0] != None and out_is_db:
             # TODO: Move this to the mappings as some kind of metadata
-            col_defaults['datasource_id'] = db_xml.put(out_db, xpath.path2xml(
-                'party:[datasource_id=0]/organizationname="'+in_label_ref[0]+'"'
+            col_defaults['creator_id'] = db_xml.put(out_db, xpath.path2xml(
+                'party:[creator_id=0]/organizationname="'+in_label_ref[0]+'"'
                 ), row_ins_ct_ref)
     
     def prep_root():
Index: inputs/VegBank/taxonobservation_/test.xml.ref
===================================================================
--- inputs/VegBank/taxonobservation_/test.xml.ref	(revision 5241)
+++ inputs/VegBank/taxonobservation_/test.xml.ref	(revision 5242)
@@ -20,12 +20,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>
                                                 <_join_words>
                                                     <1>$Family</1>
@@ -68,12 +68,12 @@
                                 <taxonconcept>
                                     <canon_taxonconcept_id>
                                         <taxonconcept>
-                                            <datasource_id>
+                                            <creator_id>
                                                 <party>
-                                                    <datasource_id>0</datasource_id>
+                                                    <creator_id>0</creator_id>
                                                     <organizationname>TNRS</organizationname>
                                                 </party>
-                                            </datasource_id>
+                                            </creator_id>
                                             <identifyingtaxonomicname>$authorplantname</identifyingtaxonomicname>
                                         </taxonconcept>
                                     </canon_taxonconcept_id>
